ENCRYPT(1)

NAME
encrypt - encrypt passwords from the command line or standard input

SYNOPSIS
encrypt [-km] [-b rounds] [-c class] [-p | string] [-s salt]
makekey

DESCRIPTION
encrypt prints the encrypted form of string to the standard output. This is mostly useful for encrypting passwords from within scripts.

When invoked as makekey, a single combined key and salt are read from standard input and the DES encrypted result is written to standard output without a terminating newline.

The options are as follows:

-b rounds
    Encrypt the string using Blowfish hashing with the specified rounds.

-c class
    Use the cipher type specified in the given user login class. See login.conf(5) for more information.

-k  Run in makekey compatible mode.

-m  Encrypt the string using MD5.

-p  Prompt for a single string with echo turned off.

-s salt
    Encrypt the string using DES, with the specified salt.

If no string is specified, encrypt reads one string per line from standard input, encrypting each one with the chosen algorithm from above. In the case where no specific algorithm or specific user login class was given as a command line option, the algorithm specified in the default class in /etc/login.conf will be used.

For MD5 and Blowfish, a new random salt is automatically generated for each password.

Specifying the string on the command line should be discouraged; using the standard input is more secure.

FILES
/etc/login.conf

SEE ALSO
crypt(3), login.conf(5)

HISTORY
encrypt first appeared in OpenBSD 1.2.

A makekey command appeared in AT&T UNIX.